Bug 141938 - squid ldap authentification broken
squid ldap authentification broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 03:53 EST by Dirk Nehring
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7:2.5.STABLE7-1.FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 15:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dirk Nehring 2004-12-06 03:53:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1) Opera 
7.54  [en]

Description of problem:
After an upgrade from FC2 to FC3 squid_ldap_auth is borked:

root@ravel:~# /usr/lib/squid/squid_ldap_auth -b o=domain -v 3 -h 
localhost
bla bla
squid_ldap_auth: ../../../libraries/libldap/sasl.c:83: 
ldap_sasl_bind: Assertion
 `ld != ((void *)0)' failed.
Aborted


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
    

Expected Results:  an ldap request in the ldap.log

Additional info:

Bug is fixed in newer squid-release! See:

http://www.squid-cache.org/mail-archive/squid-users/200407/0838.html

Please update the 2.5.STABLE7, where the bug is fixed.
Comment 1 Dirk Nehring 2004-12-06 04:06:42 EST
Or just update to the new ldap patch (the old one is still included, 
must only be exchanged):

http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE6-
ldap_helpers.patch
Comment 2 Dirk Nehring 2005-01-07 04:32:22 EST
Hello FC-Team,

as you see in my comment, there is a solution for this bug. Can you
fix this issue? Should be done in 5 minutes...

See also #135523

Note You need to log in before you can comment on or make changes to this bug.